package com.duiba.tuia.youtui.web.biz.land.param;

import com.duiba.tuia.youtui.web.constant.LandChannel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.duiba.tuia.youtui.web.model.req.LandUserInfo;

@Component
public class RequestParamFactory {
	
	/** 手机贷  **/
	public static final String SJD_CHANNEL = "phoneloan";
	/** 手机贷  **/
	public static final String HEIKA_CHANNEL = "heika";
	
	/** 黑牛 */
	public static final String HEINIU = "heiniu";
	
	/** 招商.*/
	public static final String ZHAOSHANG = "zhaoshang";

	@Autowired
	private PhoneLoanParam phoneLoanParam;

	public LandParamI getLandParam(LandUserInfo info) {
		String channel = info.getChannel();
		switch (channel) {
			case LandChannel.SJD_CHANNEL:
				return phoneLoanParam;
			default:
				break;
		}
		return null;
	}
	
	
	
}
